/* Extensions to the graphical interpretation of L-Systems based on turtle geometry */
/* str. 21 */
/* shell */

//* axiom @#(1) ^(90) /(90) @Gs A(20)
//* # A(s) -> F &(s) -(90)f(0.01)+(90) A(1.05*s)

define R = 1.04        /* scaling between subsequent shell segment */
define Ang1 = -20    /* angle of rotation between segments */
define Ang2 = -3.9   /* angle of twist between segment */
define Ang3 = 0 /*78 */    /* initial rotation of the contour */
define Wid = 5         /* width scaling */

axiom #(6) @#(1) @Gs A(1)
# A(s) -> +(Ang1) /(Ang2) F(s) A(s*R)

# X -> HUR   /* zobrazy vektory */

homo
# F(s) -> f(s) #(s*Wid) -(Ang1/2) \(Ang3) @Gc(10) /(Ang3) +(Ang1/2)

# H -> [ []@#(0) !(0.2)F(0.8)[] !(0.25)F(0.2)!(0) ]
# L -> [ [] +(90) @#(0) !(0.1)F(0.8)[] !(0.2)F(0.2)!(0) ]
# R -> [ [] -(90) @#(0) !(0.1)F(0.8)[] !(0.2)F(0.2)!(0) ]
# U -> [ [] ^(90) @#(0) !(0.15)F(0.8)[] !(0.2)F(0.2)!(0) ]

/*
axiom #(5) @Gt(1.0) @#(1) \(Ang3) @Gs /(Ang3) A(1)
# A(s) -> +(Ang1) /(Ang2) F(s) A(s*R)
homo
# F(s) -> f(s) #(s*Wid) -(Ang1/2) \(Ang3) @Gc(4) /(Ang3) +(Ang1/2)
